@font-face {
    font-family: Montserrat;
    font-weight: 300;
    src: url('../fonts/Montserrat/Montserrat-Light.ttf'); 
}
@font-face {
    font-family: Montserrat;
    font-weight: 500;
    src: url('../fonts/Montserrat/Montserrat-Medium.ttf'); 
}
@font-face {
    font-family: Montserrat;
    font-weight: 600;
    src: url('../fonts/Montserrat/Montserrat-Bold.ttf'); 
}
@font-face {
    font-family: Montserrat;
    font-weight: 700;
    src: url('../fonts/Montserrat/Montserrat-ExtraBold.ttf'); 
}

:root{
    --main_col: #F7488D; /* Pink */
    --btn_col: #EF4A8C; /* Pink */
    --secBlack: #232323; /* Black */
}
body, html, input, textarea, select, h2, p, button{
    font-family: 'Montserrat', sans-serif;
}

@media (min-width: 768px){
    .wview{
        display: block;
    }
    .mview{
        display: none;
    }
}

/* Header navbar */
.theme-dark .navbar-ct{
    background: #000;
}
.theme-light .navbar-ct{
    background: #FFF;
}
.navbar-ct{
    -webkit-box-shadow: 0px 5px 15px 0px rgba(0, 33, 85, 0.1);
    -moz-box-shadow: 0px 5px 15px 0px rgba(0, 33, 85, 0.1);
    box-shadow: 0px 5px 15px 0px rgba(0, 33, 85, 0.1);
}
.fadeInDown{
    animation-name: fadeInDown;
    animation-duration: 1.25s;
}
@keyframes fadeInDown {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
    }
    
    100% {
        opacity: 1;
        -webkit-transform: translateZ(0);
        transform: translateZ(0);
    }
}
.navbar-ct .navbar-brand img{
    height: 60px;
}
.navbar-ct .navbar-toggler{
    color: var(--main_col);
    border: none;
}
.navbar-ct .navbar-toggler:focus{
    outline: 0;
    box-shadow: none;
}
.navbar-ct .navbar-nav .nav-link{
    padding: 15px;
    text-transform: uppercase;
    font-size: 14px;
    color: var(--main_col);
}

/* Wrapper */
.wrapper{
    margin-top: 85px;
}
.theme-dark .ct-bg{
    background: var(--secBlack);
}
.theme-light .ct-bg{
    background: #f5f5f5;
}

/* Button Style */
.btn_main {
    display: inline-block;
    background: var(--btn_col);
    color: white;
    padding: 12px 25px;
    font-size: 16px;
    text-decoration: none;
    border-radius: 5px;
    transition: 0.3s;
    font-weight: 600;
    text-align: center;
}
.btn_main:hover {
    background: #B61C72;
}

.btn_main.reverse{
    color: var(--btn_col);
    background: white;
    border: 2px solid var(--btn_col);
}
.btn_main.reverse:hover{
    color: #B61C72;
}


/* Section */
.section{
    padding: 30px 0 60px;
}
.section .tdiv{
    padding: 0 30px;
    text-align: center;
}
.section .tdiv .title{
    font-size: 24px;
    font-weight: 600;
    color: var(--main_col);
    border-bottom: 2px solid var(--main_col);
    display: inline-block;
    padding: 5px;
    margin-bottom: 10px;
    text-align: center;
}
.section .subtitle{
    font-size: 16px;
    text-align: center;
    margin-bottom: 30px;
}
.theme-dark .section{
    background: var(--secBlack);
    color: #FFF;
}
.theme-light .section{
    /*background: #FFF;*/
    background: #f5f5f5;
    color: inherit;
}
.theme-dark .section .subtitle{
    color: #FFF;
}
.theme-light .section .subtitle{
    color: inherit;
}

/* Project List */
.project-card {
  background-color: #fff;
  -webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, .09);
  box-shadow: 0 1px 3px rgba(0, 0, 0, .09);
  padding: 1px;
  margin-bottom: 20px;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  color: #666;
  float: left;
  overflow: hidden;
  border-bottom-right-radius: 10px;
  border-bottom-left-radius: 10px;
  -webkit-transition: all .3s ease-in-out 0s;
  transition: all .3s ease-in-out 0s;
  width: 100%;
}

.project-card .main-link{
  height: 180px;
}
.project-card .project-main-img {
  position: relative;
  height: 100%;
}

.project-card .project-main-img img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.project-card .project-cost {
  position: absolute;
  top: 0;
  left: 0;
  background: var(--main_col);
  padding: 5px 10px 0;
  font-weight: 700;
  font-size: 18px;
  color: #fff;
  border-bottom-right-radius: 10px;
}
.project-card .project-cost span {
  font-size: 12px;
  line-height: 16px;
  display: block;
}

.project-card .project-photo-count {
  position: absolute;
  bottom: 10px;
  left: 18px;
  font-size: .857em;
  font-weight: 700;
  color: #fff;
  text-shadow: 1px 1px 2px rgba(0, 0, 0, .65);
}
.project-card .project-photo-count i {
  padding-right: 3px;
}

.project-card .project-img {
  margin: 0 -1px 0 0;
}
.project-card .project-img img {
  width: 33.3333333333%;
  height: 75px;
  float: left;
  padding: 1px 1px 1px 0;
}

.project-card .project-content {
  padding: 15px 20px;
}
.project-card .project-name {
  font-size: 16px;
  font-weight: 700;
  line-height: 24px;
  height: 48px;
  display: block;
  color: #000;
  margin-bottom: 6px;
  text-decoration: none;

  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;

}
.tag-link {
  margin-top: 9px;
  font-size: 11px;
  font-weight: 500;
}
.tag-link a {
  background-color: #e9e9ea;
  padding: 2px 8px;
  margin-right: 4px;
  margin-bottom: 3px;
  color: #555;
  line-height: 20px;
  display: block;
  float: left;
  -webkit-transition: background-color .3s ease;
  transition: background-color .3s ease;
  border-radius: 6px;
  text-decoration: none;
}

.project-card .action-card {     
  -webkit-box-shadow: 0px -4px 10px rgba(0, 0, 0, 0.09);
  box-shadow: 0px -4px 10px rgba(0, 0, 0, 0.09);
  border: 1px solid #f5f5f5; 
}

/* Pagination Button */
.project-rec{
  font-size: 14px;
}
.project-pg .pagination{
  justify-content: center;
}
.project-pg .pagination .page-link{
  color: #333;
  border: none;
  padding: 6px 18px;
  font-size: 16px;
}
.project-pg .pagination .active>.page-link,
.project-pg .pagination .page-link.active{
  color: #FFF;
  background: var(--main_col);
}

/* Bottom Contact Button */
.btm_contact{
  position: fixed;
  bottom: 0;
  right: 30px;
}

.btm_contact .btn_main{
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}

/* Dark/Light Theme Toggle */
.toggler{
    padding-left: 30px;
}
.toggler .switch {
    position: absolute;
    display: inline-block;
    width: 40px;
    height: 20px;
    top:50%;
    left:50%;
    transform:translate(-50%, -50%);
 }
 
 /* Hide default HTML checkbox */
 .toggler .switch input {
   opacity: 0;
   width: 0;
   height: 0;
 }
 
 /* The slider */
 .toggler .slider {
   position: absolute;
   cursor: pointer;
   top: 0;
   left: 0;
   right: 0;
   bottom: 0;
   background-color: #ccc;
   -webkit-transition: 0.4s;
   transition: 0.4s;
 }
 
 .toggler .slider:before {
   position: absolute;
   content: "";
   height: 110%;
   width: 60%;
   left: 0px;
   bottom: 4px;
   top: 0;
   bottom: 0;
   margin: auto 0;
   -webkit-transition: 0.4s;
   transition: 0.4s;
   box-shadow: 0 0px 15px #2020203d;
   background: white url('../image/night.png');
   background-repeat: no-repeat;
   background-position: center;
   background-size: 75%;
 }
 
 .toggler input:checked + .slider {
   background-color: var(--main_col);
 }
 
 .toggler input:focus + .slider {
   box-shadow: 0 0 1px var(--main_col);
 }
 
 .toggler input:checked + .slider:before {
   -webkit-transform: translateX(70%);
   -ms-transform: translateX(70%);
   transform: translateX(70%);
   background: white url('../image/sunny.png');
   background-repeat: no-repeat;
   background-position: center;
   background-size: 65%;
 }
 
 /* Rounded sliders */
 .toggler .slider.round {
   border-radius: 50px;
 }
 
 .toggler .slider.round:before {
   border-radius: 50%;
 }

 /* Loding CSS */
/* Absolute Center Spinner */
.loading {
    position: fixed;
    z-index: 999;
    height: 2em;
    width: 2em;
    overflow: visible;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    opacity: 0.8;
    padding-right: 55px;
  }
  
  .divLoading b{
      display: none;
  }
  .divLoading.loading b{
      display: block;
  }
  /* Transparent Overlay */
  .loading:before {
      content: '';
      display: block;
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: rgba(255,255,255,0.3);
      text-shadow: 0 -1px -1px #1f2f52;
      color: #FFF;
  }
  
  /* :not(:required) hides these rules from IE9 and below */
  .loading:not(:required) {
    /* hide "loading..." text */
    font: 0/0 a;
    color: transparent;
    text-shadow: none;
    background-color: transparent;
    border: 0;
  }
  
  .loading:not(:required):after {
    content: '';
    display: block;
    font-size: 10px;
    width: 1em;
    height: 1em;
    margin-top: -60px;
    margin-left: 25px;
    -webkit-animation: spinner 1500ms infinite linear;
    -moz-animation: spinner 1500ms infinite linear;
    -ms-animation: spinner 1500ms infinite linear;
    -o-animation: spinner 1500ms infinite linear;
    animation: spinner 1500ms infinite linear;
    border-radius: 0.5em;
    -webkit-box-shadow: #ff6a67 1.5em 0 0 0, #ff6a67 1.1em 1.1em 0 0, #ff6a67 0 1.5em 0 0, #ff6a67 -1.1em 1.1em 0 0, #ff6a67 -1.5em 0 0 0, #ff6a67 -1.1em -1.1em 0 0, #ff6a67 0 -1.5em 0 0, #ff6a67 1.1em -1.1em 0 0;
    box-shadow: #ff6a67 1.5em 0 0 0, #ff6a67 1.1em 1.1em 0 0, #ff6a67 0 1.5em 0 0, #ff6a67 -1.1em 1.1em 0 0, #ff6a67 -1.5em 0 0 0, #ff6a67 -1.1em -1.1em 0 0, #ff6a67 0 -1.5em 0 0, #ff6a67 1.1em -1.1em 0 0;
    box-shadow: #ccc 1.5em 0 0 0, #ccc 1.1em 1.1em 0 0, #ccc 0 1.5em 0 0, #ccc -1.1em 1.1em 0 0, #ccc -1.5em 0 0 0, #ccc -1.1em -1.1em 0 0, #ccc 0 -1.5em 0 0, #ccc 1.1em -1.1em 0 0;
  }
  
  /* Animation */
  
  @-webkit-keyframes spinner {
    0% {
      -webkit-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -ms-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      -moz-transform: rotate(360deg);
      -ms-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }
  @-moz-keyframes spinner {
    0% {
      -webkit-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -ms-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      -moz-transform: rotate(360deg);
      -ms-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }
  @-o-keyframes spinner {
    0% {
      -webkit-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -ms-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      -moz-transform: rotate(360deg);
      -ms-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }
  @keyframes spinner {
    0% {
      -webkit-transform: rotate(0deg);
      -moz-transform: rotate(0deg);
      -ms-transform: rotate(0deg);
      -o-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      -moz-transform: rotate(360deg);
      -ms-transform: rotate(360deg);
      -o-transform: rotate(360deg);
      transform: rotate(360deg);
    }
  }
  /* End of Loding CSS */

/* Global */
.ct-center{
    position: absolute;
    top: 50%; 
    left: 50%;
    transform: translate(-50%, -50%);
}

/* Fotorama PLugin */
.fotorama__thumb-border{
    border-color: var(--main_col) !important;
}

  /* Hide default arrows */
.fotorama__arr {
    background: none !important;
}

/* Custom Previous Arrow */
.fotorama__arr--prev {
    background: url('../image/arrow-left.png') no-repeat center !important;
    background-size: contain !important;
    width: 80px !important;
    height: 50px !important;
}

/* Custom Next Arrow */
.fotorama__arr--next {
    background: url('../image/arrow-right.png') no-repeat center !important;
    background-size: contain !important;
    width: 80px !important;
    height: 50px !important;
}

/* Social Media Share Button */
.share-buttons {
    display: flex;
    justify-content: flex-end;
    gap: 5px;
    padding: 10px;
}
.share-btn {
    padding: 10px 15px;
    border-radius: 5px;
    color: #ccc;
    text-decoration: none;
    font-size: 16px;
    display: flex;
    align-items: center;
    gap: 5px;
    cursor: pointer;
}
.share-btn:hover {
    color: #a6a6a6;
}
/*.facebook { background: #3b5998; }
.twitter { background: #1da1f2; }
.whatsapp { background: #25d366; }
.linkedin { background: #0077b5; }*/